## amlib.hw
Enum HWType

    java.lang.Object
      java.lang.Enum<HWType>
          amlib.hw.HWType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HWType>

    public enum HWType

extends java.lang.Enum<HWType>

Enum Constant Summary
`eEMPTY`
`eRS232`
`eUSB`

Method Summary
`static HWType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HWType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### eEMPTY

    public static final HWType eEMPTY

### eUSB

    public static final HWType eUSB

### eRS232

    public static final HWType eRS232

Method Detail

### values

    public static HWType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HWType c : HWType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HWType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null